/**
 * Image Lazy Loader Advnace
 *
 * Initialise the Lozad plugin when required.
 */
(function($) {
    Drupal.behaviors.PictureImageLazyLoader = {
      attach: function (context) {
        if ($(".lozad-picture").length) {
          if (!Drupal.behaviors.PictureImageLazyLoader.lozad) {
            Drupal.behaviors.PictureImageLazyLoader.lozad = lozad('.lozad-picture', {
              load: function (element) {
                var isIE = typeof document !== 'undefined' && document.documentMode;
                var img = document.createElement('img');
                if (isIE && element.getAttribute('data-iesrc')) {
                  img.src = element.getAttribute('data-iesrc');
                }

                if (element.getAttribute('data-alt')) {
                  img.alt = element.getAttribute('data-alt');
                }

                element.append(img);
                element.classList.add(element.getAttribute("data-animation"));
              }
            });
          }
          Drupal.behaviors.PictureImageLazyLoader.lozad.observe();
        }
      }
    };
  }
)(jQuery);
